drop table dim_psSTAT;

create table dim_psSTAT
(
 ID          int,
 Sno         int,

 pid         int,
 ppid        int,
 puser       char(16),
 fname       char(20),
 pname       char(20),
 pcpu        int,
 pmem        int,
 time        int,

 usrtime     float,
 cusrtime    float,
 systime     float,
 csystime    float,
 pri         int,
 vsz         int,
 rss         int,
 psz         int,
 psr         int,
 sysc        int,

 traptime    float,
 tftime      float,
 dftime      float,
 ultime      float,
 etctime     float,
 wcputime    float,
 stoptime    float,

 inblk       int,
 outblk      int,
 sigs        int,
 vctx        int,
 ictx        int

);





create index dim_psSTAT_ID     on dim_psSTAT( ID );
create index dim_psSTAT_Sno    on dim_psSTAT( Sno );
create index dim_psSTAT_PID    on dim_psSTAT( pid );
create index dim_psSTAT_PUSER  on dim_psSTAT( puser );
create index dim_psSTAT_FNAME  on dim_psSTAT( fname );
create index dim_psSTAT_PNAME  on dim_psSTAT( pname );

alter table dim_psSTAT lock mode(row);

delete from TabX_note where tabname = 'dim_psSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_psSTAT', 'dim_STAT Process Statistics' );

delete from TabX where tabname = 'dim_psSTAT';
insert into TabX values ( 'dim_psSTAT', 'id', 'AD', 'ID', '' );
insert into TabX values ( 'dim_psSTAT', 'sno', 'S', 'Sno#', '' );

insert into TabX values ( 'dim_psSTAT', 'puser', 'AS', 'User', '' );
insert into TabX values ( 'dim_psSTAT', 'fname', 'AS', 'File Name', '' );
insert into TabX values ( 'dim_psSTAT', 'pname', 'AS', 'Process Name', '' );

insert into TabX values ( 'dim_psSTAT', 'pid', 'V', 'PID', '' );
insert into TabX values ( 'dim_psSTAT', 'ppid', 'V', 'PPID', '' );
insert into TabX values ( 'dim_psSTAT', 'pcpu', 'V', 'CPU%', '' );
insert into TabX values ( 'dim_psSTAT', 'pmem', 'V', 'MEM%', '' );
insert into TabX values ( 'dim_psSTAT', 'time', 'V', 'Total-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 'usrtime',  'V', 'Usr-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 'cusrtime', 'V', 'Chld.Usr-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 'systime',  'V', 'Sys-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 'csystime', 'V', 'Chld.Sys-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 'pri', 'V', 'Priority', '' );
insert into TabX values ( 'dim_psSTAT', 'vsz', 'V', 'Virt.Size', '' );
insert into TabX values ( 'dim_psSTAT', 'rss', 'V', 'Res.Size', '' );
insert into TabX values ( 'dim_psSTAT', 'psz', 'V', 'Priv.Size', '' );
insert into TabX values ( 'dim_psSTAT', 'sysc', 'V', 'SysCalls', '' );

insert into TabX values ( 'dim_psSTAT', 'traptime', 'V', 'TRAP time', '' );
insert into TabX values ( 'dim_psSTAT', 'tftime', 'V', 'TxtPageFlt time', '' );
insert into TabX values ( 'dim_psSTAT', 'dftime', 'V', 'DatPageFlt time', '' );
insert into TabX values ( 'dim_psSTAT', 'ultime', 'V', 'UserSleep time', '' );
insert into TabX values ( 'dim_psSTAT', 'etctime', 'V', 'OtherSleep time', '' );
insert into TabX values ( 'dim_psSTAT', 'wcputime', 'V', 'WaitCPU time', '' );
insert into TabX values ( 'dim_psSTAT', 'stoptime', 'V', 'STOP time', '' );

insert into TabX values ( 'dim_psSTAT', 'inblk', 'V', 'Input Blocks', '' );
insert into TabX values ( 'dim_psSTAT', 'outblk', 'V', 'Output Blocks', '' );
insert into TabX values ( 'dim_psSTAT', 'sigs', 'V', 'Signals', '' );
insert into TabX values ( 'dim_psSTAT', 'vctx', 'V', 'VolContexSW', '' );
insert into TabX values ( 'dim_psSTAT', 'ictx', 'V', 'InvolContexSW', '' );

