drop table dim_MPSTAT;

create table dim_MPSTAT
(
 ID          int not null,
 Sno         int not null,
 CPU         int not null,

 Min_fault   int,
 Maj_fault   int,
 Xcal        int,
 Intr        int,
 Ithr        int,
 Csw         int,
 Icsw        int,
 Migr        int,
 Spin_mtx    int,
 Spin_rw     int,
 Sys_calls   int,
 Usr         int,
 Sys         int,
 Wait        int,
 Idle        int
);

create index dim_MPSTAT_ID_Sno   on dim_MPSTAT( ID, Sno, CPU );

alter table dim_MPSTAT max_rows=4000000000;

delete from TabX_note where tabname = 'dim_MPSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_MPSTAT', 'Solaris per CPU Statistics, Mutex spins, Cross calls, etc. (mpstat)' );

delete from TabX where tabname = 'dim_MPSTAT';
insert into TabX values ( 'dim_MPSTAT',  1, 'id', 'AD', 'ID', '' );
insert into TabX values ( 'dim_MPSTAT',  2, 'sno', 'S', 'Sno#', '' );
insert into TabX values ( 'dim_MPSTAT',  3, 'cpu', 'AD', 'CPU', '' );

insert into TabX values ( 'dim_MPSTAT',  4, 'min_fault', 'V', 'Min.Fault', '' );
insert into TabX values ( 'dim_MPSTAT',  5, 'maj_fault', 'V', 'Maj.Fault', '' );
insert into TabX values ( 'dim_MPSTAT',  6, 'xcal',      'V', 'Cross-Calls', '' );
insert into TabX values ( 'dim_MPSTAT',  7, 'intr',      'V', 'Interrupts', '' );
insert into TabX values ( 'dim_MPSTAT',  8, 'ithr',      'V', 'Interrupts-as-threads', '' );
insert into TabX values ( 'dim_MPSTAT',  9, 'csw',       'V', 'Cont.Switchs', '' );
insert into TabX values ( 'dim_MPSTAT', 10, 'icsw',      'V', 'Inv.Cont.Switchs', '' );
insert into TabX values ( 'dim_MPSTAT', 11, 'migr',      'V', 'Thrd.Migrations', '' );
insert into TabX values ( 'dim_MPSTAT', 12, 'spin_mtx',  'V', 'Spin.Mutex', '' );
insert into TabX values ( 'dim_MPSTAT', 13, 'spin_rw',   'V', 'Spin.R/W', '' );
insert into TabX values ( 'dim_MPSTAT', 14, 'sys_calls', 'V', 'Sys.Calls', '' );
insert into TabX values ( 'dim_MPSTAT', 15, 'usr',       'V', 'Usr%', '' );
insert into TabX values ( 'dim_MPSTAT', 16, 'sys',       'V', 'Sys%', '' );
insert into TabX values ( 'dim_MPSTAT', 17, 'wait',      'V', 'Wait I/O%', '' );
insert into TabX values ( 'dim_MPSTAT', 18, 'idle',      'V', 'Idle%', '' );

